summaryrefslogtreecommitdiff
path: root/system/graphite-web/scripts
diff options
context:
space:
mode:
authorMario Preksavec <mario at slackware dot hr>2015-02-28 03:30:02 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-28 03:30:02 +0700
commite3c8c6afff14d8f8fec396709117b30cfd207aae (patch)
tree099d47c17385a377727f9bf08622b93c5a9df8c3 /system/graphite-web/scripts
parent46e7f74c3c1ffb67267f8cf290646467b9bd4818 (diff)
downloadslackbuilds-e3c8c6afff14d8f8fec396709117b30cfd207aae.tar.gz
system/graphite-web: Added (Enterprise Scalable Realtime Graphing).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/graphite-web/scripts')
-rw-r--r--system/graphite-web/scripts/graphite-build-search-index21
-rw-r--r--system/graphite-web/scripts/graphite-manage3
2 files changed, 24 insertions, 0 deletions
diff --git a/system/graphite-web/scripts/graphite-build-search-index b/system/graphite-web/scripts/graphite-build-search-index
new file mode 100644
index 0000000000..9a86ab1924
--- /dev/null
+++ b/system/graphite-web/scripts/graphite-build-search-index
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Jonas Genannt <jonas.genannt@capi2name.de>, 2012 for the Debian Project
+# Modified by Mario Preksavec <mario@slackware.hr>, 2015 for Slackware
+
+set -e
+
+INDEX_FILE_TMP=$(mktemp)
+
+INDEX_FILE="/var/lib/graphite/search_index"
+WHISPER_DIR="/var/lib/graphite/whisper"
+
+
+cd ${WHISPER_DIR} && find -L . -name '*.wsp' | sed \
+ -e 's@\.wsp$@@' \
+ -e 's@^\./@@' \
+ -e 's@/@.@g' > ${INDEX_FILE_TMP}
+
+chmod 0644 ${INDEX_FILE_TMP}
+chown graphite:graphite ${INDEX_FILE_TMP}
+
+mv -f ${INDEX_FILE_TMP} ${INDEX_FILE}
diff --git a/system/graphite-web/scripts/graphite-manage b/system/graphite-web/scripts/graphite-manage
new file mode 100644
index 0000000000..d38bd5e4ae
--- /dev/null
+++ b/system/graphite-web/scripts/graphite-manage
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+django-admin.py --settings=graphite.settings